<template>
	<view class="content">
		<view class="loadding" v-if="loadding==true">
			<image src="https://ysrw-1395926010.cos.ap-chengdu.myqcloud.com/image/logo.png"></image>
			<text class="text">企业端</text>
		</view>
	</view>
</template>

<script>
	import {dicts} from '@/api/common.js'
	export default {
		data() {
			return {
				loadding:true,
			};
		},
		methods: {
			
			getDicts:function(){
				this.loadding=false
				this.navigatHandler();
				// dicts().then(
				// 	res => {
				// 		if(res.code==200){
				// 			console.log(res)
				// 			uni.setStorageSync('dicts',JSON.stringify(res));
							
				// 		}else{
							 
				// 		}
				// 		this.loadding=false;
				// 		this.navigatHandler();
				// 	},
				// 	rej => {}
				// );
			},
			navigatHandler: function() {
				uni.reLaunch({
					url: '../home/index',
					animationType: 'pop-in',
					animationDuration: 100
				})
			},
			
		},
		onLoad() {
			this.getDicts()
		}
	};
 
</script>

.
<style lang="scss">
	content {
		height: 100%;
		width: 100%;
		position: relative;
		padding-top: 0;
		
	}
	.loadding{
		background-color: #fff;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 9999;
		image{
			border-radius: 50%;
			animation: load linear 1s infinite;
			width: 120rpx;
			height:120rpx;
		}
		.text{
			font-size: 28rpx;
			margin-top: 20rpx;
		}
	}
</style>
